# Class BankAccountPayload

#### Hierarchy

- unknown
  - BankAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:3979
- Defined in src/protobuf/pb_pb.d.ts:4042

#####
Index

### Constructors

constructor

### Methods

clearAchTransferAccountPayload
clearDomesticWireTransferAccountPayload
clearNationalBankAccountPayload
clearSameBankAccontPayload
clearSpecificBanksAccountPayload
getAccountNr
getAccountType
getAchTransferAccountPayload
getBankId
getBankName
getBranchId
getDomesticWireTransferAccountPayload
getEmail
getHolderName
getHolderTaxId
getMessageCase
getNationalAccountId
getNationalBankAccountPayload
getSameBankAccontPayload
getSpecificBanksAccountPayload
hasAchTransferAccountPayload
hasDomesticWireTransferAccountPayload
hasNationalBankAccountPayload
hasSameBankAccontPayload
hasSpecificBanksAccountPayload
serializeBinary
setAccountNr
setAccountType
setAchTransferAccountPayload
setBankId
setBankName
setBranchId
setDomesticWireTransferAccountPayload
setEmail
setHolderName
setHolderTaxId
setNationalAccountId
setNationalBankAccountPayload
setSameBankAccontPayload
setSpecificBanksAccountPayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BankAccountPayload(): BankAccountPayload

- #### Returns BankAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### clearAchTransferAccountPayload

- clearAchTransferAccountPayload(): BankAccountPayload

- #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4022

### clearDomesticWireTransferAccountPayload

- clearDomesticWireTransferAccountPayload(): BankAccountPayload

- #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4027

### clearNationalBankAccountPayload

- clearNationalBankAccountPayload(): BankAccountPayload

- #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4007

### clearSameBankAccontPayload

- clearSameBankAccontPayload(): BankAccountPayload

- #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4012

### clearSpecificBanksAccountPayload

- clearSpecificBanksAccountPayload(): BankAccountPayload

- #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4017

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3992

### getAccountType

- getAccountType(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3995

### getAchTransferAccountPayload

- getAchTransferAccountPayload(): undefined | AchTransferAccountPayload

- #### Returns undefined | AchTransferAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4019

### getBankId

- getBankId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3986

### getBankName

- getBankName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3983

### getBranchId

- getBranchId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3989

### getDomesticWireTransferAccountPayload

- getDomesticWireTransferAccountPayload(): undefined | DomesticWireTransferAccountPayload

- #### Returns undefined | DomesticWireTransferAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4024

### getEmail

- getEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4001

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3980

### getHolderTaxId

- getHolderTaxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3998

### getMessageCase

- getMessageCase(): BankAccountPayload.MessageCase

- #### Returns BankAccountPayload.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:4032

### getNationalAccountId

- getNationalAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4029

### getNationalBankAccountPayload

- getNationalBankAccountPayload(): undefined | NationalBankAccountPayload

- #### Returns undefined | NationalBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4004

### getSameBankAccontPayload

- getSameBankAccontPayload(): undefined | SameBankAccountPayload

- #### Returns undefined | SameBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4009

### getSpecificBanksAccountPayload

- getSpecificBanksAccountPayload(): undefined | SpecificBanksAccountPayload

- #### Returns undefined | SpecificBanksAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4014

### hasAchTransferAccountPayload

- hasAchTransferAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4021

### hasDomesticWireTransferAccountPayload

- hasDomesticWireTransferAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4026

### hasNationalBankAccountPayload

- hasNationalBankAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4006

### hasSameBankAccontPayload

- hasSameBankAccontPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4011

### hasSpecificBanksAccountPayload

- hasSpecificBanksAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4016

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4034

### setAccountNr

- setAccountNr(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3993

### setAccountType

- setAccountType(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3996

### setAchTransferAccountPayload

- setAchTransferAccountPayload(value?: AchTransferAccountPayload): BankAccountPayload

- #### Parameters

  - ##### `Optional` value: AchTransferAccountPayload

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4020

### setBankId

- setBankId(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3987

### setBankName

- setBankName(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3984

### setBranchId

- setBranchId(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3990

### setDomesticWireTransferAccountPayload

- setDomesticWireTransferAccountPayload(value?: DomesticWireTransferAccountPayload): BankAccountPayload

- #### Parameters

  - ##### `Optional` value: DomesticWireTransferAccountPayload

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4025

### setEmail

- setEmail(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4002

### setHolderName

- setHolderName(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3981

### setHolderTaxId

- setHolderTaxId(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3999

### setNationalAccountId

- setNationalAccountId(value: string): BankAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4030

### setNationalBankAccountPayload

- setNationalBankAccountPayload(value?: NationalBankAccountPayload): BankAccountPayload

- #### Parameters

  - ##### `Optional` value: NationalBankAccountPayload

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4005

### setSameBankAccontPayload

- setSameBankAccontPayload(value?: SameBankAccountPayload): BankAccountPayload

- #### Parameters

  - ##### `Optional` value: SameBankAccountPayload

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4010

### setSpecificBanksAccountPayload

- setSpecificBanksAccountPayload(value?: SpecificBanksAccountPayload): BankAccountPayload

- #### Parameters

  - ##### `Optional` value: SpecificBanksAccountPayload

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4015

### toObject

- toObject(includeInstance?: boolean): BankAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BankAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4035

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BankAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4038

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BankAccountPayload, reader: BinaryReader): BankAccountPayload

- #### Parameters

  - ##### message: BankAccountPayload

  - ##### reader: BinaryReader

  #### Returns BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4039

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BankAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BankAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4037

### `Static` toObject

- toObject(includeInstance: boolean, msg: BankAccountPayload): BankAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BankAccountPayload

  #### Returns BankAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4036

Generated using TypeDoc